{% extends "services/base.html" %}

{% block container %}
    <div id="sec1">
        <div class="text-page container">
            <div class="row">
                <div class="col-md-8">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <p class="panel-title text-left">
                            <h1>
                                <strong>{{ job.service }} job</strong>
                            </h1>
                            </p>
                            <div class="text-right">
                                <h3><span
                                        class="label label-{{ job.label_class }}">{{ job.get_status_display }}</span>
                                </h3>
                                <p class="text">
                                    <em>
                                    Created on {{ job.created }} <br/>
                                    Last update {{ job.updated }}
                                    </em>
                                </p>
                            </div>
                        </div>
                        <div class="panel-body">
                            <div class="panel-group" id="panel-inout-{{ job.slug }}">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <a class="panel-title collapsed" data-toggle="collapse"
                                           data-parent="#panel-inout-{{ job.slug }}"
                                           href="#panel-input-{{ job.id }}">Job inputs</a>
                                    </div>
                                    <div id="panel-input-{{ job.id }}" class="panel-collapse">
                                        <div class="panel-body">
                                            <dl>
                                                {% for job_input in job.input_files.all %}
                                                    <dt>
                                                        {{ job_input.label }}</dt>
                                                    <dd class="input_output">
                                                        {{ job_input.value }}
                                                        <div class="pull-right">
                                                            <a href="{% url 'waves:job_input' job_input.slug %}">See
                                                                online</a>
                                                            &nbsp;|&nbsp;
                                                            <a href="{% url 'waves:job_input' job_input.slug %}?export=1">
                                                                Download File <i
                                                                    class="glyphicon glyphicon-download-alt"></i>
                                                            </a>
                                                        </div>
                                                    </dd>
                                                {% endfor %}
                                            </dl>
                                        </div>
                                    </div>
                                </div>
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <a class="panel-title collapsed" data-toggle="collapse"
                                           data-parent="#panel-inout-{{ job.slug }}"
                                           href="#panel-params-{{ job.id }}">Job params</a>
                                    </div>
                                    <div id="panel-params-{{ job.id }}" class="panel-collapse collapse">
                                        <div class="panel-body">
                                            <dl>
                                                {% for job_input in job.input_params.all %}
                                                    <dt>"{{ job_input.label }}" set to</dt>
                                                    <dd class="input_output">
                                                        {% if job_input.type == 'select' %}
                                                            {{ job_input.get_label_for_choice }}
                                                        {% else %}
                                                            {{ job_input.value }}
                                                        {% endif %}
                                                    </dd>
                                                {% endfor %}
                                            </dl>
                                        </div>
                                    </div>
                                </div>
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <a class="panel-title {% if not job.results_available %}collapsed{% endif %}"
                                           data-toggle="collapse"
                                           data-parent="#panel-inout-{{ job.slug }}"
                                           href="#panel-output-{{ job.id }}">Outputs</a>
                                    </div>
                                    <div id="panel-output-{{ job.id }}"
                                         class="panel-collapse {% if not job.results_available %}collapse{% endif %}">
                                        <div class="panel-body">
                                            <dl>
                                                {% for job_output in job.output_files_exists %}
                                                    <dt>{{ job_output.name }}</dt>
                                                    <dd class="input_output">
                                                        {{ job_output.value|default:'Not available' }}
                                                        <div class="pull-right">
                                                            {% if job.results_available and job_output.value %}
                                                                <a href="{% url 'waves:job_output' job_output.slug %}">See
                                                                    online</a>
                                                                &nbsp;|&nbsp;
                                                                <a href="{% url 'waves:job_output' job_output.slug %}?export=1">Download
                                                                    File <i
                                                                            class="glyphicon glyphicon-download-alt"></i></a>
                                                            {% else %}
                                                                <i>Not available yet</i>
                                                            {% endif %}
                                                        </div>
                                                    </dd>
                                                    {% empty %}
                                                    <dt>Not available for now, please wait job completion</dt>
                                                {% endfor %}
                                            </dl>
                                        </div>
                                    </div>
                                </div>
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <a class="panel-title collapsed" data-toggle="collapse"
                                           data-parent="#panel-inout-{{ job.slug }}"
                                           href="#panel-runon-{{ job.id }}">Running configuration</a>
                                    </div>
                                    <div id="panel-runon-{{ job.id }}" class="panel-collapse collapse">
                                        <div class="panel-body">
                                            <p>Your job is currently planned to run on
                                                our {{ job.service.run_on.name }}</p>
                                            <p>{{ job.service.run_on.description|safe }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="panel-footer text-right">
                            {% if job.service.api_on %}
                                <p class="text-right">
                                    This job is available on API calls
                                </p>
                            {% endif %}
                            Last update {{ service.updated }}
                        </div>
                    </div>

                </div>
                <div class="col-md-4 panel-group">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Job History
                        </div>
                        <div class="panel-body">
                            <div class="panel-group" id="panel-job-{{ job.slug }}">
                                {% for history in job.job_history.all %}
                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <a class="panel-title collapsed" data-toggle="collapse"
                                               data-parent="#panel-job-{{ job.slug }}"
                                               href="#panel-element-{{ history.id }}">{{ history.get_status_display }}
                                                - {{ history.timestamp }}</a>
                                        </div>
                                        <div id="panel-element-{{ history.id }}" class="panel-collapse collapse">
                                            <div class="panel-footer">
                                                {{ history.message|default:'No message' }}
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-default">
                        <div class="panel-body text-right">
                            <a class="btn btn-primary" disabled="disabled"
                               href="{% url 'waves:job_submission' job.service.id %}">Create a copy</a>
                            <a class="btn btn-primary" href="{% url 'waves:job_submission' job.service.id %}">Create
                                new</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}